BlockCipherMonteCarloTest (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.crypto.test

## Class BlockCipherMonteCarloTest

- java.lang.Object
- - org.bouncycastle.util.test.SimpleTest
  - - org.bouncycastle.crypto.test.BlockCipherMonteCarloTest

- All Implemented Interfaces:
    Test

      public class BlockCipherMonteCarloTest
      extends SimpleTest

  a basic test that takes a cipher, key parameter, and an input and output string. This test wraps the engine in a buffered block cipher with padding disabled.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockCipherMonteCarloTest(int id, int iterations, BlockCipher engine, CipherParameters param, java.lang.String input, java.lang.String output)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `void` | `performTest()`

    - ### Methods inherited from class org.bouncycastle.util.test.SimpleTest

      `areEqual, fail, fail, fail, perform, runTest, runTest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockCipherMonteCarloTest

          public BlockCipherMonteCarloTest(int id,
                                   int iterations,
                                   BlockCipher engine,
                                   CipherParameters param,
                                   java.lang.String input,
                                   java.lang.String output)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `Test`
      Specified by:
        `getName` in class `SimpleTest`

    - #### performTest

          public void performTest()
                           throws java.lang.Exception

      Specified by:
        `performTest` in class `SimpleTest`
      Throws:
        `java.lang.Exception`